# Uses of Interface
org.apache.cxf.endpoint.Endpoint

Packages that use Endpoint
Package
Description
org.apache.cxf.binding
org.apache.cxf.endpoint
org.apache.cxf.message
org.apache.cxf.service
org.apache.cxf.service.factory
org.apache.cxf.service.invoker
org.apache.cxf.staxutils.validation
org.apache.cxf.transport

- ## Uses of Endpoint in org.apache.cxf.binding

  Methods in org.apache.cxf.binding with parameters of type Endpoint
  Modifier and Type
  Method
  Description
  `void`
  AbstractBindingFactory.`addListener(Destination d, Endpoint e)`
  `void`
  BindingFactory.`addListener(Destination d, Endpoint e)`
  Set the destination's message observer which is created by using the endpoint to listen the incoming message

- ## Uses of Endpoint in org.apache.cxf.endpoint

  Classes in org.apache.cxf.endpoint that implement Endpoint
  Modifier and Type
  Class
  Description
  `class`
  `EndpointImpl`
  Fields in org.apache.cxf.endpoint declared as Endpoint
  Modifier and Type
  Field
  Description
  `protected Endpoint`
  AbstractConduitSelector.`endpoint`
  `protected final Endpoint`
  ManagedEndpoint.`endpoint`
  `protected final Endpoint`
  ServerImpl.`endpoint`
  Methods in org.apache.cxf.endpoint that return Endpoint
  Modifier and Type
  Method
  Description
  `protected abstract Endpoint`
  AbstractEndpointFactory.`createEndpoint()`
  `Endpoint`
  AbstractConduitSelector.`getEndpoint()`
  `Endpoint`
  Client.`getEndpoint()`
  `Endpoint`
  ClientImpl.`getEndpoint()`
  `Endpoint`
  ConduitSelector.`getEndpoint()`
  `Endpoint`
  NullConduitSelector.`getEndpoint()`
  `Endpoint`
  PreexistingConduitSelector.`getEndpoint()`
  `Endpoint`
  Server.`getEndpoint()`
  `Endpoint`
  ServerImpl.`getEndpoint()`
  Methods in org.apache.cxf.endpoint with parameters of type Endpoint
  Modifier and Type
  Method
  Description
  `protected boolean`
  AbstractEndpointFactory.`checkPrivateEndpoint(Endpoint ep)`
  Checks if a given endpoint has been marked as private.
  `protected void`
  AbstractEndpointFactory.`initializeAnnotationInterceptors(Endpoint ep, Class<?> cls)`
  Add annotated Interceptors and Features to the Endpoint
  `protected void`
  AbstractEndpointFactory.`initializeAnnotationInterceptors(Endpoint ep, Class<?>... cls)`
  Add annotationed Interceptors and Features to the Endpoint
  `protected boolean`
  AbstractEndpointFactory.`initializeAnnotationInterceptors(AnnotationInterceptors provider, Endpoint ep)`
  `void`
  AbstractConduitSelector.`setEndpoint(Endpoint ep)`
  `protected void`
  ClientImpl.`setEndpoint(Endpoint e)`
  `void`
  ConduitSelector.`setEndpoint(Endpoint endpoint)`
  `void`
  NullConduitSelector.`setEndpoint(Endpoint ep)`
  `void`
  PreexistingConduitSelector.`setEndpoint(Endpoint ep)`
  `protected void`
  ClientImpl.`setExchangeProperties(Exchange exchange, Endpoint endpoint, BindingOperationInfo boi)`
  `protected PhaseInterceptorChain`
  ClientImpl.`setupInterceptorChain(Endpoint endpoint)`
  Constructors in org.apache.cxf.endpoint with parameters of type Endpoint
  Modifier
  Constructor
  Description
  ``
  `ClientImpl(Bus b, Endpoint e)`
  ``
  `ClientImpl(Bus b, Endpoint e, ConduitSelector sc)`
  ``
  `ClientImpl(Bus b, Endpoint e, Conduit c)`
  ``
  `ManagedEndpoint(Bus b, Endpoint ep, Server s)`
  ``
  `PreexistingConduitSelector(Conduit c, Endpoint e)`
  Constructor.
  ``
  `ServerImpl(Bus bus, Endpoint endpoint, DestinationFactory destinationFactory, BindingFactory bindingFactory)`

- ## Uses of Endpoint in org.apache.cxf.message

  Methods in org.apache.cxf.message that return Endpoint
  Modifier and Type
  Method
  Description
  `Endpoint`
  Exchange.`getEndpoint()`
  `Endpoint`
  ExchangeImpl.`getEndpoint()`

- ## Uses of Endpoint in org.apache.cxf.service

  Methods in org.apache.cxf.service that return types with arguments of type Endpoint
  Modifier and Type
  Method
  Description
  `Map<QName,Endpoint>`
  Service.`getEndpoints()`
  `Map<QName,Endpoint>`
  ServiceImpl.`getEndpoints()`
  Method parameters in org.apache.cxf.service with type arguments of type Endpoint
  Modifier and Type
  Method
  Description
  `void`
  ServiceImpl.`setEndpoints(Map<QName,Endpoint> endpoints)`

- ## Uses of Endpoint in org.apache.cxf.service.factory

  Methods in org.apache.cxf.service.factory with parameters of type Endpoint
  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  SimpleMethodDispatcher.`getBindingOperation(Method method, Endpoint endpoint)`

- ## Uses of Endpoint in org.apache.cxf.service.invoker

  Methods in org.apache.cxf.service.invoker with parameters of type Endpoint
  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  MethodDispatcher.`getBindingOperation(Method m, Endpoint endpoint)`

- ## Uses of Endpoint in org.apache.cxf.staxutils.validation

  Methods in org.apache.cxf.staxutils.validation with parameters of type Endpoint
  Modifier and Type
  Method
  Description
  `void`
  WoodstoxValidationImpl.`setupValidation(XMLStreamReader reader, Endpoint endpoint, ServiceInfo serviceInfo)`
  `void`
  WoodstoxValidationImpl.`setupValidation(XMLStreamWriter writer, Endpoint endpoint, ServiceInfo serviceInfo)`

- ## Uses of Endpoint in org.apache.cxf.transport

  Fields in org.apache.cxf.transport declared as Endpoint
  Modifier and Type
  Field
  Description
  `protected Endpoint`
  ChainInitiationObserver.`endpoint`
  Methods in org.apache.cxf.transport that return Endpoint
  Modifier and Type
  Method
  Description
  `Endpoint`
  ChainInitiationObserver.`getEndpoint()`
  Methods in org.apache.cxf.transport that return types with arguments of type Endpoint
  Modifier and Type
  Method
  Description
  `Set<Endpoint>`
  MultipleEndpointObserver.`getEndpoints()`
  Constructors in org.apache.cxf.transport with parameters of type Endpoint
  Modifier
  Constructor
  Description
  ``
  `ChainInitiationObserver(Endpoint endpoint, Bus bus)`